Page MenuHomeVyOS Platform

Store VyOS configuration syntax version data in JSON file
Closed, ResolvedPublic

Description

As discussed here,
https://wiki.vyos.net/wiki/Migration_scripts#Version_data_storage_improvements
it is desirable to store the system component version data in a JSON file.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

jestabro changed the task status from Open to In progress.Jan 7 2020, 3:38 PM
jestabro triaged this task as Normal priority.
jestabro created this task.
jestabro created this object in space S1 VyOS Public.
jestabro changed the task status from In progress to Needs testing.Jan 7 2020, 3:50 PM

Move to 'Needs testing'; repo linked below. Add example of third-party package, and test, before PR.

https://github.com/vyos/vyos-1x/compare/current...jestabro:component?expand=1

jestabro added a comment.EditedJan 7 2020, 4:06 PM
This comment has been deleted.
jestabro renamed this task from Store VyOS configuration syntax version data in JSON file, with support for third-party components to Store VyOS configuration syntax version data in JSON file.Jan 13 2020, 4:57 PM
jestabro updated the task description. (Show Details)

Revising this design, following discussion with dmbaturin; implementation in T1962.

jestabro changed the status of subtask T1962: Add syntax version to schema from Open to Needs testing.Jan 13 2020, 6:16 PM
pasik added a subscriber: pasik.Jan 14 2020, 6:55 PM
jestabro closed this task as Resolved.Jan 29 2020, 8:47 PM
jestabro closed subtask T1962: Add syntax version to schema as Resolved.
c-po reopened subtask T1962: Add syntax version to schema as Backport candidate.Jan 30 2020, 8:22 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mar 1 2020, 10:37 AM